summaryrefslogtreecommitdiffstats
path: root/src/test/test12.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2023-09-04 09:27:04 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2023-09-04 09:27:04 +0000
commit81fa0bc63909a67cdd6d321617a2e5648a6a94a2 (patch)
tree2b0a2eae7aed22e3c6f707283d7617d8c02b3fbe /src/test/test12.sh
parentAdding upstream version 2.1.3. (diff)
downloaddnscap-09b0fb3b1aa208fd8414e3410157ce1fb6f5a1f6.tar.xz
dnscap-09b0fb3b1aa208fd8414e3410157ce1fb6f5a1f6.zip
Adding upstream version 2.2.0.upstream/2.2.0upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/test/test12.sh')
-rwxr-xr-xsrc/test/test12.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/test/test12.sh b/src/test/test12.sh
index 76b0e01..9243ed9 100755
--- a/src/test/test12.sh
+++ b/src/test/test12.sh
@@ -1,6 +1,8 @@
#!/bin/sh -xe
-if ! ../dnscap -g -r dns.pcap-dist -w test12 -W .gz 2>test12.out; then
+test -e dns.pcap || ln -s "$srcdir/dns.pcap" dns.pcap
+
+if ! ../dnscap -g -r dns.pcap -w test12 -W .gz 2>test12.out; then
grep -qF "gzip compression requested but not supported" test12.out && exit 0
exit 1
fi